INT 21h

Hi, I am Vladimir Smagin, SysAdmin, DevOps and barely good guy. Telegram Email / GIT / Микроблог / Thingiverse / GPG

Подключение Telegram бота на библиотеке python-telegram-bot через прокси

№ 9837 В разделе "Programming" от March 17th, 2019,
В подшивках: ,

Официальная страница на github весьма ясно говорит как можно указать прокси в случае использования Updater

updater = Updater(token=env_telegram_api_token, request_kwargs={
    'proxy_url': 'socks5://192.168.1.9:9050'
})

О классе Bot никто ничего особо не рассказал, вот вам пример

reqproxy = telegram.utils.request.Request(proxy_url='socks5://192.168.1.9:9050')
bot = telegram.Bot(token=env_telegram_api_token, request=reqproxy)

Также есть вариант установки переменной окружения

export https_proxy=socks5://192.168.1.9:9050

Нет комментариев »

Мои телеграм стикеры

№ 9682 В разделе "Смехуечки" от January 24th, 2019,
В подшивках:

Кронар варвар, для боевых пидарасов

https://t.me/addstickers/kronar

In a tails, для снобов

https://t.me/addstickers/in_a_tails

Нет комментариев »

Zabbix: notifications to Telegram

№ 9548 В разделе "Sysadmin" от November 15th, 2018,
В подшивках: , ,

To receive and forward messages to Telegram you need to install my Telegram-post-bot or use docker image. After this you can create script /usr/lib/zabbix/alertscripts/telegram.sh with this content:

#!/bin/bash
source /etc/profile

json_escape () {
    printf '%s' "$1" | python -c 'import json,sys; print(json.dumps(sys.stdin.read()).strip("\""))'
}

chat_id="-763495760089" # your channel id
post_title=$(json_escape "$1")
post_body=$(json_escape "$2")

echo "{\"chatID\":\"${chat_id}\",\"message\":\"${post_title}\n\n${post_body}\"}" | nc -U /run/telegram-GrapeBlessedBot.sock

You can get your account, group or channel id easily using @get_id_bot.

Now you ready to add new Media type (Administration -> Media types)

Add new media to your account

That’s all folks!

Нет комментариев »

Zabbix: monitor bash script results

№ 9533 В разделе "Sysadmin" от November 10th, 2018,
В подшивках: , ,

Install zabbix-agent (sometimes zabbix-sender) package to your server that contains zabbix_sender. Now add some exit codes checks after every monitored command.

#!/bin/bash
set -e
source /etc/profile

ftp_user="username"
ftp_pass="pas5w0rd"
ftp_serv="myftp.server.ru"

pg_user="dbusername"
pg_pass="dbpasswd"
pg_host="127.0.0.1"
pg_port="5432"
pg_dbname="mydatabase"

weekday=$(date '+%w') # 7 days history
history=$weekday

docker exec -it pg2-server su -c "pg_dump postgresql://${pg_user}:${pg_pass}@${pg_host}:${pg_port}/ \
    ${pg_dbname}" postgres |gzip -7 > /tmp/db_backup_${pg_dbname}_${history}.sql.gz
if [ $? -ne 0 ]
then
    echo "pg_dump failed to dump"
    /usr/bin/zabbix_sender -z zabbix.server.ru -s pg2-server -k pgdumper.dump -o failed
    rm -f /tmp/db_backup_${pg_dbname}_${history}.sql.gz
    exit 1
else
    /usr/bin/zabbix_sender -z zabbix.server.ru -s pg2-server -k pgdumper.dump -o successful
    curl --upload-file /tmp/db_backup_${pg_dbname}_${history}.sql.gz ftp://${ftp_user}:${ftp_pass}@${ftp_serv}/
    if [ $? -ne 0 ]
        then
            echo "curl failed to upload dumped file"
            /usr/bin/zabbix_sender -z zabbix.server.ru -s pg2-server -k pgdumper.upload -o failed
            rm -f /tmp/db_backup_${pg_dbname}_${history}.sql.gz
            exit 1
        fi
    /usr/bin/zabbix_sender -z zabbix.server.ru -s pg2-server -k pgdumper.upload -o successful
    rm -f /tmp/db_backup_${pg_dbname}_${history}.sql.gz
fi

Create template

Add your monitored items

And add triggers to raise exceptions

You can combine items in one trigger

Do not forget to activate email notices.

Нет комментариев »

Python bot for posting notifications to Telegram channels, groups or private

№ 9465. В разделе " Programming " от October 21st, 2018

В подшивках: ,

Микроблог перейти

# 2019-12-23 09:14:01

Очень интересная концепция, docker-compose для kubernetes kompose.io/ #devops #kubernetes #docker

# 2019-12-16 17:21:18

Надо будет почитать для общего развития как оживить кластер в случае проеба сертов habr.com/ru/company/southbridg #kubernetes #devops

# 2019-12-12 17:33:46

js bootstrap с интерфейсом как в DOS github.com/kristopolous/BOOTST


© Vladimir Smagin, 2005-2019. Копирование материалов без разрешения запрещено. GPG DA4CD0F5E222EA727D6A40C413BCE12E5618F071 *
Яндекс.Метрика

Fortune cookie: Some companies idea of playing ball is, you play ball with us, and we'll stick the fucking bat up your ass.